Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#62093 - libinput: need python-libevdev as dependency

Attached to Project: Arch Linux
Opened by Maxime de Roucy (akira86) - Wednesday, 20 March 2019, 22:12 GMT
Last edited by Andreas Radke (AndyRTR) - Tuesday, 10 December 2019, 20:00 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture x86_64
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

libinput should depend on python-libevdev

Additional info:
* package version: 1.12.6-1

Steps to reproduce:

Without python-libevdev :
```
max@host % yay -Qs evdev
local/libevdev 1.6.0-1
Wrapper library for evdev devices
local/python-evdev 1.1.2-2
Python bindings for the Linux input subsystem

max@host % libinput replay libinput-fast.yaml
Error: No module named 'libevdev'
One or more python modules are missing. Please install those modules and re-run this tool.
```

With python-libevdev :
```
max@host % libinput replay libinput-fast.yaml
Error: failed to open device: [Errno 13] Permission denied
max@host % sudo libinput replay libinput-fast.yaml
/dev/input/event26: SE Mooltipass
Hit enter to start replaying
qbcdefghij…
```
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Tuesday, 10 December 2019, 20:00 GMT
Reason for closing:  Not a bug
Additional comments about closing:  already present optional dependency

Loading...